---
sidebar_label: "介绍"
sidebar_position: 1
---

# 关于GitLink
GitLink（确实开源）是CCF官方指定的开源创新服务平台，旨在以“为开源创新服务”为使命，以“成为开源创新的汇聚地”为愿景，秉承“创新、开放、协作、共享”的价值观，致力于为大规模开源开放协同创新助力赋能，打造创新成果孵化和新工科人才培养的开源创新生态！

 ![](/img/ccf_gitlink.png)

# 平台功能

- **分布式协作开发**：支持在线文件编辑、分支管理、贡献统计、仓库复刻、合并请求；
- **一站式过程管理**：支持疑修、里程碑、通知提醒、标签归档、Wiki文档、组织管理；
- **高效流水线运维**：提供轻量级工作流引擎，并支持自定义配置、静态扫描、制品构建；
- **多层次代码分析**：支持代码溯源分析、许可证风险分析、开源漏洞检测和加固建议；
- **多维度用户画像**：支持开发活动统计、贡献日历、能力建模、角色与专业定位分析。

# 帮助文档
帮助文档有助于您全面了解GitLink平台，让我们一起为开源创新贡献力量！

<div class="row">
	<div class="col col--12">
	<section class="row list">
  <article class="col col--6 margin-bottom--lg">
    <a class="card padding--lg cardContainer" href="/docs/快速开始/注册GitLink账号">
      <h2 class="text--truncate cardTitle" title="快速开始">快速开始</h2>
		<p>帮助用户快速注册使用平台[5个文档]</p>
	</a></article>
  <article class="col col--6 margin-bottom--lg">
   <a class="card padding--lg cardContainer" href="/docs/代码库管理/仓库创建">
     <h2 class="text--truncate cardTitle" title="代码库管理">代码库管理</h2>
		<p>代码库使用及设置[8个文档]</p>
	</a></article>
    <article class="col col--6 margin-bottom--lg">
   <a class="card padding--lg cardContainer" href="/docs/组织管理/组织简介">
     <h2 class="text--truncate cardTitle" title="组织管理">组织管理</h2>
		<p>组织使用及设置[5个文档]</p>
	</a></article>
       <article class="col col--6 margin-bottom--lg">
   <a class="card padding--lg cardContainer" href="/docs/疑修/疑修简介">
     <h2 class="text--truncate cardTitle" title="疑修">疑修</h2>
		<p>疑修(Issue)使用及设置[7个文档]</p>
	</a></article>
     <a class="card padding--lg cardContainer" href="/docs/合并请求/合并请求简介">
     <h2 class="text--truncate cardTitle" title="合并请求">合并请求</h2>
		<p>合并请求(Pull Request)使用及设置[5个文档]</p>
	</a></article>
         <a class="card padding--lg cardContainer" href="/docs/DevOps引擎/引擎简介">
     <h2 class="text--truncate cardTitle" title="DevOps引擎">DevOps引擎</h2>
		<p>DevOps引擎(Engine)使用及设置[6个文档]</p>
	</a></article>
             <a class="card padding--lg cardContainer" href="/docs/维基/维基也面管理">
     <h2 class="text--truncate cardTitle" title="维基">维基</h2>
		<p>维基(Wiki)使用及设置[2个文档]</p>
	</a></article>
     <a class="card padding--lg cardContainer" href="/docs/Bot市场/bot安装">
     <h2 class="text--truncate cardTitle" title="Bot市场">Bot市场</h2>
		<p>Bot市场使用及设置[4个文档]</p>
	</a></article>
    <a class="card padding--lg cardContainer" href="/docs/第三方服务/服务简介">
     <h2 class="text--truncate cardTitle" title="第三方服务">第三方服务</h2>
		<p>第三方服务使用及设置[3个文档]</p>
	</a></article>
</section>
</div>
</div>